import {request }from 'umi';

export async function query() {
  return request('/api/v1/user');
}

export async function queryDepList(userName) {
  return request(`/api/v2/user/dep`, {
    params: { userName },
  });
}
export async function Login(data) {
  return request('/api/v2/user/login', {
    method: 'POST',
    data,
  });
}
export async function queryCurrentV2() {
  return request('/api/v2/user/current-user', { method: 'GET' });
}
export async function queryUserRole(userId) {
  return request('/api/v2/user/detail/' + userId, { method: 'GET' });
}
// export async function queryCurrent() {
//   return request('/api/v1/user/current-user', { method: 'GET' });
// }


// export async function queryUnreadNotification() {
//   return request('/notification/unread/', { method: 'GET' });
// }

// export async function SetNotificationRead(params) {
//   return request(`/notification/read/${params.ID}`, { method: 'PUT' });
// }

// // export async function queryUserList(param) {
// //   return request(`/userIdsAndNames?JWT-TOKEN=${param.token}`)
// // }

// export async function bindQywxUserId(param) {
//   return request(`/api/v1/user/qywx-userId?code=${param.code}&JWT-TOKEN=${param.token}`);
// }

// export async function updateUser(param) {
//   return request(`/api/v1/user/update`, {
//     method: 'PUT',
//     body: {
//       ...param,
//     },
//   });
// }

// //获取部门结构
// export async function queryDepV2(params) {
//   return request(`/api/v2/dep?${stringify(params)}`);
// }
